Diff

Differences From Artifact [fb76c24536]:

To Artifact [2e933cc686]:


    18     18   if [ "$1" = "distclean" ]; then
    19     19   	shift
    20     20   
    21     21   	mode="distclean"
    22     22   fi
    23     23   
    24     24   # Define the list of all packages, for cleaning purposes
    25         -KITCREATOR_ALLPKGS="kitsh tcl tclvfs zlib tk itcl mk4tcl thread kitdll"
           25  +KITCREATOR_ALLPKGS="kitsh tcl tclvfs zlib tk itcl mk4tcl thread"
    26     26   for pkg in ${KITCREATOR_ALLPKGS}; do
    27     27   	rm -f "${pkg}/build.log"
    28     28   	rm -rf "${pkg}/out" "${pkg}/inst" "${pkg}/build"
    29     29   
    30     30   	rm -rf "${pkg}/src"/tmp-*
    31     31   
    32     32   	if [ "${mode}" = "distclean" ]; then
................................................................................
    98     98   else
    99     99   	KITCREATOR_RC="$(echo "$(pwd)/kitsh/buildsrc"/kitsh-*/kit.rc)"
   100    100   fi
   101    101   export KITCREATOR_ICON KITCREATOR_RC
   102    102   
   103    103   failedpkgs=""
   104    104   buildfailed="0"
   105         -for pkg in tcl tclvfs zlib ${KITCREATOR_PKGS} "${KITTARGET}"; do
          105  +for pkg in tcl tclvfs zlib ${KITCREATOR_PKGS} kitsh; do
   106    106   	echo -n "Building ${pkg} ..."
   107    107   
   108    108   	failed="0"
   109    109   	(
   110    110   		cd "${pkg}" >/dev/null 2>/dev/null || exit 1
   111    111   
   112    112   		./build.sh > build.log 2>&1 || exit 1
................................................................................
   135    135   	echo "Failed to build:${failedpkgs}"
   136    136   fi
   137    137   
   138    138   if [ "${buildfailed}" != "0" ]; then
   139    139   	echo 'WARNING: Build is likely incomplete or failed.' >&2
   140    140   fi
   141    141   
   142         -cp 'kitdll/build'/kitdll-*/libtclkit* . >/dev/null 2>/dev/null
          142  +cp 'kitsh/build'/kitsh-*/libtclkit* . >/dev/null 2>/dev/null
   143    143   cp 'kitsh/build'/kitsh-*/kit "tclkit-${TCLVERS}" >/dev/null 2>/dev/null
   144    144   
   145    145   exit "${buildfailed}"